Bug 1481453 - SELinux is preventing sshd from 'map' accesses on the file /var/lib/sss/mc/passwd.
Summary: SELinux is preventing sshd from 'map' accesses on the file /var/lib/sss/mc/pa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:99a6e0483159ede800fb9a2be3e...
Depends On:
Blocks: 1481454
TreeView+ depends on / blocked
 
Reported: 2017-08-14 23:30 UTC by Adam Williamson
Modified: 2017-10-31 15:35 UTC (History)
8 users (show)

Fixed In Version: selinux-policy-3.13.1-283.14.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-31 15:35:14 UTC


Attachments (Terms of Use)

Description Adam Williamson 2017-08-14 23:30:43 UTC
Description of problem:
Not sure what specifically triggered this, but it is one of *many* 'map' denials that appear after 3.13.1-269 introduced the 'map' permission. /var/lib/sss indicates the involvement of sssd, I guess.
SELinux is preventing sshd from 'map' accesses on the file /var/lib/sss/mc/passwd.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that sshd should be allowed map access on the passwd file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'sshd' --raw | audit2allow -M my-sshd
# semodule -X 300 -i my-sshd.pp

Additional Information:
Source Context                system_u:system_r:sshd_t:s0-s0:c0.c1023
Target Context                system_u:object_r:sssd_public_t:s0
Target Objects                /var/lib/sss/mc/passwd [ file ]
Source                        sshd
Source Path                   sshd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    <Unknown>
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.13.0-0.rc4.git2.2.fc27.x86_64 #1
                              SMP Wed Aug 9 19:46:16 UTC 2017 x86_64 x86_64
Alert Count                   74
First Seen                    2017-08-12 17:21:46 PDT
Last Seen                     2017-08-12 17:21:48 PDT
Local ID                      6060d190-3e55-4636-ac2f-74604bbc9230

Raw Audit Messages
type=AVC msg=audit(1502583708.30:79662): avc:  denied  { map } for  pid=19593 comm="sshd" path="/var/lib/sss/mc/passwd" dev="dm-2" ino=393236 scontext=system_u:system_r:sshd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:sssd_public_t:s0 tclass=file permissive=0


Hash: sshd,sshd_t,sssd_public_t,file,map


Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.13.0-0.rc4.git4.1.fc27.x86_64
type:           libreport

Comment 1 Jan Kurik 2017-08-15 08:53:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 2 Fedora Update System 2017-10-25 10:12:27 UTC
selinux-policy-3.13.1-283.13.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5e9ce60d2

Comment 3 Fedora Update System 2017-10-27 18:45:25 UTC
selinux-policy-3.13.1-283.14.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b5e9ce60d2

Comment 4 Fedora Update System 2017-10-31 15:35:14 UTC
selinux-policy-3.13.1-283.14.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.